Bug 234362 - Update to textproc/2bsd-diff to fix build breakage
Summary: Update to textproc/2bsd-diff to fix build breakage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-24 15:44 UTC by risner
Modified: 2019-01-07 11:18 UTC (History)
2 users (show)

See Also:
linimon: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description risner 2018-12-24 15:44:51 UTC
Updated to fix a port breakage on FreeBSD-13 Current. I didn't have current to test, but I believe this cleans up everything.

http://www.d20hobbies.com/2.11BSD/patch.tgz
contains the updated Makefile, pkg-descr and the patches:
-rw-r--r--  1 root  wheel   1245 Dec 24 10:09 patch-Makefile
-rw-r--r--  1 root  wheel    863 Dec 24 10:13 patch-diff.c
-rw-r--r--  1 root  wheel   1218 Dec 24 10:13 patch-diff.h
-rw-r--r--  1 root  wheel   2359 Dec 24 10:14 patch-diffdir.c
-rw-r--r--  1 root  wheel   3122 Dec 24 10:15 patch-diffh.c
-rw-r--r--  1 root  wheel   6016 Dec 24 10:14 patch-diffreg.c
Comment 1 Fernando Apesteguía freebsd_committer 2018-12-28 20:10:57 UTC
Hi risner,

Thank you for the patch!

I can confirm this builds in {11.2,12.0}{amd64,i386} and 13-CURRENT i386. It also runs fine in the latter.

Just a small thing: It is a bit more difficult to keep track of the changes when the submission consists in a whole copy of the port. It is usually easier if we receive a diff between the old and the new port (https://www.freebsd.org/doc/en/books/porters-handbook/book.html#svn-diff).

Not a big deal, anyway :)

I'll wait until maintainer timeout before committing this.
Comment 2 commit-hook freebsd_committer 2019-01-07 11:17:46 UTC
A commit references this bug:

Author: fernape
Date: Mon Jan  7 11:16:56 UTC 2019
New revision: 489572
URL: https://svnweb.freebsd.org/changeset/ports/489572

Log:
  textproc/2bsd-diff: fix breakage on current

  On FreeBSD 13 - current, the build failed with:

  cc: error: unknown argument: '-i'

  PR:     234362
  Submitted by:   risner@stdio.com (maintainer)

Changes:
  head/textproc/2bsd-diff/Makefile
  head/textproc/2bsd-diff/files/patch-Makefile
  head/textproc/2bsd-diff/files/patch-diff.c
  head/textproc/2bsd-diff/files/patch-diff.h
  head/textproc/2bsd-diff/files/patch-diffdir.c
  head/textproc/2bsd-diff/files/patch-diffh.c
  head/textproc/2bsd-diff/files/patch-diffreg.c
  head/textproc/2bsd-diff/pkg-descr
Comment 3 Fernando Apesteguía freebsd_committer 2019-01-07 11:18:21 UTC
Committed,

Thanks!